Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.streaming
Class PresParams

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.streaming.PresParams

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class PresParams
extends QTPointerRef

Presentation Parameter object

Field Summary
`static int` | `kNativeSize` This is the size of this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`PresParams(int scale, int flags, MediaParams params)` Constructs a PresParams object

Method Summary
`EditList` | `getEditList()` Gets the edit list
`int` | `getFlags()` Retrieves the flags.
`MediaParams` | `getMediaParams()` Gets the media params of the presentation params.
`int` | `getTimeScale()` Retrieves the time scale associated with the Broadcaster.
`int` | `getVersion()` Retrieves the version.
`void` | `removeNotificationProc()` Sets the notification procedure
`void` | `setEditList(EditList el)` Sets the edit list
`void` | `setFlags(int flags)` Sets the flags of the Broadcaster params.
`void` | `setMediaParams(MediaParams m)` Sets the media params of the presentation params.
`void` | `setNotificationProc(StreamNotifyProc proc)` Sets the notification procedure
`void` | `setTimeScale(int scale)` Sets the time scale of the Broadcaster params.
`void` | `setVersion(int version)` Sets the version of the Broadcaster params.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, getSize`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size of this class

Constructor Detail

### PresParams

    public PresParams(int scale,
                      int flags,
                      MediaParams params)
               throws QTException

  Constructs a PresParams object
  Parameters:
    `scale` - time scale of the presentation
    `flags` - presentation flags
    `params` - MediaParams

Method Detail

### getVersion

    public int getVersion()

  Retrieves the version.
  Returns:
    version of the presenter

### getFlags

    public int getFlags()

  Retrieves the flags.
  Returns:
    broadcaster flags

### getTimeScale

    public int getTimeScale()

  Retrieves the time scale associated with the Broadcaster.
  Returns:
    current time scale

### setVersion

    public void setVersion(int version)

  Sets the version of the Broadcaster params.
  Parameters:
    `version` - the version

### setFlags

    public void setFlags(int flags)

  Sets the flags of the Broadcaster params.
  Parameters:
    `flags` - the flags

### setTimeScale

    public void setTimeScale(int scale)

  Sets the time scale of the Broadcaster params.
  Parameters:
    `scale` - the time scale

### setMediaParams

    public void setMediaParams(MediaParams m)

  Sets the media params of the presentation params.
  Parameters:
    `m` - MediaParams

### getMediaParams

    public MediaParams getMediaParams()

  Gets the media params of the presentation params.
  Returns:
    MediaParams

### setEditList

    public void setEditList(EditList el)

  Sets the edit list

### getEditList

    public EditList getEditList()

  Gets the edit list
  Returns:
    edit list

### setNotificationProc

    public void setNotificationProc(StreamNotifyProc proc)

  Sets the notification procedure
  Parameters:
    `proc` - notification procedure

### removeNotificationProc

    public void removeNotificationProc()

  Sets the notification procedure
  Parameters:
    `proc` - notification procedure

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `QTPointerRef`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD